Bug 1660955 - Upgrading from OCP 3.10 to OCP 3.11 on ppc64le causes non-ppc64le catalog entries to be created,
Summary: Upgrading from OCP 3.10 to OCP 3.11 on ppc64le causes non-ppc64le catalog ent...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.11.0
Hardware: ppc64le
OS: Linux
unspecified
high
Target Milestone: ---
: 3.11.z
Assignee: Jeff Young
QA Contact: Barry Donahue
URL:
Whiteboard:
Depends On:
Blocks: 1479956
TreeView+ depends on / blocked
 
Reported: 2018-12-19 17:07 UTC by Manoj Kumar
Modified: 2019-01-30 12:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-30 12:52:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
output of oc get is, oc get templates both before and after upgrade (58.37 KB, text/plain)
2018-12-19 17:07 UTC, Manoj Kumar
no flags Details

Description Manoj Kumar 2018-12-19 17:07:54 UTC
Created attachment 1515676 [details]
output of oc get is, oc get templates both  before and after upgrade

Description of problem:  When upgrading from OCP 3.10 on ppc64le to 3.11, non-pppc64le catalog entries get populated

Version-Release number of the following components:
rpm -q openshift-ansible
openshift-ansible-3.11.51-2.git.0.51c90a3.el7.noarch

rpm -q ansible
ansible-2.6.10-1.el7ae.noarch

ansible --version
ansible 2.6.10
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/root/.ansible/plugins/modules', u'/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python2.7/site-packages/ansible
  executable location = /bin/ansible
  python version = 2.7.5 (default, May 31 2018, 09:45:54) [GCC 4.8.5 20150623 (Red Hat 4.8.5-28)]


How reproducible: Consistent. Happens every time.

Steps to Reproduce:
1. Install openshift-ansible at 3.10
2. Deploy OCP on a single node cluster, using the playbooks/prerequisites.yml and playbooks/deploy_cluster.yml playbooks
3. Add the catalog entries 
cd /usr/share/ansible/openshift-ansible/roles/openshift_examples/files/examples/ppc64le
oc create -f db-templates
oc create -f image-streams
oc create -f quickstart-templates
4. Deploy a sample Ruby application on a user project (to verify OCP 3.10 is functional)
5. Upgrade using the steps provided in the in-place upgrade:
https://docs.openshift.com/container-platform/3.11/upgrading/automated_upgrades.html#upgrading-ocp
Essentially by updating the inventory file for 3.11, and running the 
playbooks/byo/openshift-cluster/upgrades/v3_11/upgrade.yml playbook


Actual results:
Please include the entire output from the last TASK line through the end of output if an error is generated

Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Jeff Young 2018-12-21 15:21:46 UTC
For the install we skip imagestreams/templates for ppc64le here:
https://github.com/openshift/openshift-ansible/blob/release-3.11/playbooks/openshift-master/private/additional_config.yml#L33

But I didn't track down where this openshift_examples gets called during an upgrade:
https://github.com/openshift/openshift-ansible/blob/release-3.11/playbooks/common/openshift-cluster/upgrades/post_control_plane.yml#L35-L38

I think its better to address ppc64le logic in openshift_examples, and remove logic from additional_config?
https://github.com/openshift/openshift-ansible/blob/release-3.11/roles/openshift_examples/tasks/main.yml

Comment 2 Scott Dodson 2019-01-03 18:31:56 UTC
Yeah lets localize the control over ppc64le content to the openshift_examples role so it's applied in all situations.

Comment 3 Jeff Young 2019-01-30 12:52:46 UTC
fixed in this PR: https://github.com/openshift/openshift-ansible/pull/10992


Note You need to log in before you can comment on or make changes to this bug.